%define upstream_name    ExtUtils-XSpp
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A tiny C++ class example that holds a string and an int
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::Differences)
BuildRequires: perl-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

Requires: perl(ExtUtils::ParseXS) >= 2.220.0
Provides: perl(ExtUtils::XSpp::Lexer)

%description
Anything that does not look like a XS++ directive or a class declaration is
passed verbatim to XS. If you want XS++ to ignore code that looks like a
XS++ directive or class declaration, simply surround it with a raw block
delimiter like this:

  %{
  XS++ won't interpret this
  %}

%code
    See under *Classes*.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/xspp
/usr/share/man/man1/xspp.1.lzma



%changelog
* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.1
+ Revision: 536185
- update to 0.10

* Thu Feb 11 2010 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.1
+ Revision: 504071
- update to 0.09

* Wed Feb 10 2010 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-2mdv2010.1
+ Revision: 503785
- bump mkrel
- adding missing requires:

* Mon Feb 08 2010 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.1
+ Revision: 502101
- update to 0.08

* Sun Jan 24 2010 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.1
+ Revision: 495430
- update to 0.07

* Thu Jan 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-2mdv2010.1
+ Revision: 491228
- adding missing provides:

* Thu Jan 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2010.1
+ Revision: 491165
- update to 0.06

* Tue Sep 22 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 447130
- update to 0.05

* Tue Aug 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 415037
- import perl-ExtUtils-XSpp


* Tue Aug 11 2009 cpan2dist 0.04-1mdv
- initial mdv release, generated with cpan2dist
